/* 
 *  ConnectionDetails.java
 * 
 *  Copyright 2016 Avaya Inc. All Rights Reserved.
 * 
 *  Usage of this source is bound to the terms described
 *  in AvayaLicenseSDK.rtf.
 * 
 *  Avaya - Confidential & Proprietary. Use pursuant to your signed agreement
 *  or Avaya Policy
 * 
 */
package com.avaya.ccs.javafxrefclient;

public class ConnectionDetails {

    private final String username;
    private final String password;
    private final String server;

    private final boolean autoReconnect;
	

    public ConnectionDetails(String username,
            String password,
            String server,boolean autoReconnect) {
        this.username = username;
        this.password = password;
        this.server = server;
      
        this.autoReconnect = autoReconnect;
    }

    public String getUsername() {
        return username;
    }

    public String getPassword() {
        return password;
    }

    public String getServer() {
        return server;
    }

	
    public boolean isAutoReconnect() {
        return autoReconnect;
    }

	
}
